Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Opera beta 54.0.2952.31 will not connect to a TLS v1.3 enabled site

  • While doing testing with httpd-trunk and OpenSSL 1.1.1-pre7 ( however pre-8 was just released ) I am unable to access a site that supports TLS v1.3 protocol.

    There is a test site at https://tls13.crypto.mozilla.org/ which works fine for Mozilla
    FireFox ver 61.0b13.

    My current Opera beta claims to be user agent :

    Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/67.0.3396.87 Safari/537.36 OPR/54.0.2952.31 (Edition beta)

    Is there a security option to enable TLSv1.3 ?

    Dennis

  • @genunix No browser here (Opera, Chrome, Vivaldi, Edge, Firefox) was able to open that page. Maybe because TLS1.3 is not something ready yet?

    There is a related flag, try enabling it.

  • @leocg

    Extensive testing is in progress and I already have a site up and running with valid TLS v1.3 now and this has been debugged to death by the Apache and OpenSSL folks. What I am wondering is if Opera, in any version, has a security flag to set which will allow the TLSv1.3 handshake to proceed?

    I tried to use the command line option /usr/bin/opera-beta --ssl-version-max=tls1.3 however that does not work.

  • @genunix There's a Chromium flag in opera://flags, don't know if it works.

  • I don't see any support for TLS v1.3 beyond draft 23 in "opera://flags". For the moment the results seem to be "TLS v1.3 is not yet" for Opera.